## dirty-equals 0.4

=== Makefile ===
.DEFAULT_GOAL := all
isort = isort dirty_equals tests
black = black dirty_equals tests

.PHONY: install
install:
	pip install -r tests/requirements.txt
	pip install -r tests/requirements-linting.txt
	pip install -r docs/requirements.txt
	poetry install
	pre-commit install

.PHONY: format
format:
	$(isort)
	$(black)

.PHONY: lint
lint:
	flake8 --max-complexity 10 --max-line-length 120 --ignore E203,W503 dirty_equals tests
	$(isort) --check-only --df
	$(black) --check

.PHONY: test
test:
	coverage run -m pytest
	python tests/mypy_checks.py

.PHONY: testcov
testcov: test
	@coverage report --show-missing
	@coverage html

.PHONY: mypy
mypy:
	mypy dirty_equals tests/mypy_checks.py

.PHONY: docs
docs:
	mkdocs build --strict

.PHONY: all
all: lint mypy testcov docs

.PHONY: clean
clean:
	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -rf .cache
	rm -rf .pytest_cache
	rm -rf .mypy_cache
	rm -rf htmlcov
	rm -rf *.egg-info
	rm -f .coverage
	rm -f .coverage.*
	rm -rf build

=== docs/requirements.txt ===
black==22.3.0
griffe==0.17.0
mkdocs==1.3.0
mkdocs-autorefs==0.4.1
mkdocs-material==8.2.9
mkdocs-simple-hooks==0.1.5
mkdocstrings[python]==0.18.1

=== tests/requirements.txt ===
coverage[toml]==6.3.2
poetry==1.2.0a2
pytest==7.1.1
pytest-mock==3.7.0
pytest-sugar==0.9.4

=== debian/changelog ===
dirty-equals (0.4-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 10 Aug 2022 12:21:00 +0100

dirty-equals (0.4-1) unstable; urgency=medium

  * Initial release. (Closes: #1016204)

 -- Edward Betts <edward@4angle.com>  Wed, 03 Aug 2022 11:01:39 +0100

=== debian/control ===
Source: dirty-equals
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-poetry-core,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-tz
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/samuelcolvin/dirty-equals
Vcs-Browser: https://salsa.debian.org/python-team/packages/dirty-equals
Vcs-Git: https://salsa.debian.org/python-team/packages/dirty-equals.git

Package: python3-dirty-equals
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Make equality checks in Python unit tests more declarative
 This module can be used in whatever context you like, but it comes into its
 own when writing unit tests for applications where you're commonly checking
 the response to API calls and the contents of a database.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=dirty-equals
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf dirty_equals.egg-info/

## dirty-equals 0.5.0

=== Makefile ===
--- 
+++ 
@@ -4,10 +4,7 @@
 
 .PHONY: install
 install:
-	pip install -r tests/requirements.txt
-	pip install -r tests/requirements-linting.txt
-	pip install -r docs/requirements.txt
-	poetry install
+	pip install -r requirements/all.txt
 	pre-commit install
 
 .PHONY: format

=== debian/changelog ===
dirty-equals (0.5.0-2) unstable; urgency=medium

  * Fix test failure by setting TZ=utc when running tests.

 -- Edward Betts <edward@4angle.com>  Mon, 12 Sep 2022 21:27:10 +0100

dirty-equals (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Add new Build-Depends on python3-hatchling.
  * Remove python3-poetry-core and python3-setuptools from Build-Depends.

 -- Edward Betts <edward@4angle.com>  Sat, 03 Sep 2022 07:47:24 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,8 @@
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-poetry-core,
+               python3-hatchling,
                python3-pytest <!nocheck>,
-               python3-setuptools,
                python3-tz
 Rules-Requires-Root: no
 Standards-Version: 4.6.1

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,9 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf dirty_equals.egg-info/
+
+execute_before_dh_installdeb:
+	rm -rf $(CURDIR)/debian/python3-dirty-equals/usr/lib/python3/dist-packages/dirty_equals-0.5.0.dist-info/licenses/
+
+override_dh_auto_test:
+	TZ=utc dh_auto_test

## dirty-equals 0.6.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 .DEFAULT_GOAL := all
-isort = isort dirty_equals tests
-black = black dirty_equals tests
+sources = dirty_equals tests
 
 .PHONY: install
 install:
@@ -9,14 +8,13 @@
 
 .PHONY: format
 format:
-	$(isort)
-	$(black)
+	black $(sources)
+	ruff --fix $(sources)
 
 .PHONY: lint
 lint:
-	flake8 --max-complexity 10 --max-line-length 120 --ignore E203,W503 dirty_equals tests
-	$(isort) --check-only --df
-	$(black) --check
+	ruff $(sources)
+	black $(sources) --check --diff
 
 .PHONY: test
 test:

=== debian/changelog ===
dirty-equals (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Update Standards-Version.
  * Skip new test that needs pytest-examples, because it is not packaged.

 -- Edward Betts <edward@4angle.com>  Sat, 29 Apr 2023 13:29:48 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
                pybuild-plugin-pyproject,
                python3-all,
                python3-hatchling,
+               python3-pydantic,
                python3-pytest <!nocheck>,
                python3-tz
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/samuelcolvin/dirty-equals
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dirty-equals
 Vcs-Git: https://salsa.debian.org/python-team/packages/dirty-equals.git

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export PYBUILD_NAME=dirty-equals
 export PYBUILD_TEST_PYTEST=1
+export PYBUILD_TEST_ARGS=--ignore=tests/test_docs.py
 
 %:
 	dh $@ --buildsystem=pybuild

## dirty-equals 0.7.0

=== debian/changelog ===
dirty-equals (0.7.0-2) unstable; urgency=medium

  * Patch code and tests to work with Python 3.12. (Closes: #1058337)

 -- Edward Betts <edward@4angle.com>  Wed, 27 Dec 2023 08:41:37 +0000

dirty-equals (0.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 07 Sep 2023 20:41:56 +0100

=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,4 @@
 
 override_dh_auto_test:
 	TZ=utc dh_auto_test
+	rm -r ./.pybuild/*/build/.pytest_cache

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all, python3-pytest, python3-pydantic, @

## dirty-equals 0.8.0

=== debian/changelog ===
dirty-equals (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Move packages required for tests to Build-Depends-Indep.
  * Update Standards-Version.
  * Add python3-tz as a requirement for autopkgtest.

 -- Edward Betts <edward@4angle.com>  Thu, 15 Aug 2024 14:07:16 +0100

dirty-equals (0.7.1-2) unstable; urgency=medium

  * Team Upload
  * v7.1 needs Pydantic 2.x

 -- Alexandre Detiste <tchet@debian.org>  Mon, 22 Jul 2024 10:39:48 +0200

dirty-equals (0.7.1-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.7.1

 -- Alexandre Detiste <tchet@debian.org>  Sat, 20 Jul 2024 19:21:34 +0200

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/dirty-equals-$1\.tar\.gz/ \
  https://github.com/samuelcolvin/dirty-equals/tags .*/v?(\d\S+)\.tar\.gz

## dirty-equals 0.9.0

=== Makefile ===
--- 
+++ 
@@ -3,22 +3,41 @@
 
 .PHONY: install
 install:
+	pip install -U pip pre-commit pip-tools
 	pip install -r requirements/all.txt
 	pre-commit install
 
+.PHONY: refresh-lockfiles
+refresh-lockfiles:
+	@echo "Replacing requirements/*.txt files using pip-compile"
+	find requirements/ -name '*.txt' ! -name 'all.txt' -type f -delete
+	make update-lockfiles
+
+.PHONY: update-lockfiles
+update-lockfiles:
+	@echo "Updating requirements/*.txt files using pip-compile"
+	pip-compile -q -o requirements/linting.txt requirements/linting.in
+	pip-compile -q -o requirements/tests.txt -c requirements/linting.txt requirements/tests.in
+	pip-compile -q -o requirements/docs.txt -c requirements/linting.txt -c requirements/tests.txt requirements/docs.in
+	pip-compile -q -o requirements/pyproject.txt \
+		--extra pydantic \
+		-c requirements/linting.txt -c requirements/tests.txt -c requirements/docs.txt \
+		pyproject.toml
+	pip install --dry-run -r requirements/all.txt
+
 .PHONY: format
 format:
-	black $(sources)
-	ruff --fix $(sources)
+	ruff check --fix-only $(sources)
+	ruff format $(sources)
 
 .PHONY: lint
 lint:
-	ruff $(sources)
-	black $(sources) --check --diff
+	ruff check $(sources)
+	ruff format --check $(sources)
 
 .PHONY: test
 test:
-	coverage run -m pytest
+	TZ=utc coverage run -m pytest
 	python tests/mypy_checks.py
 
 .PHONY: testcov

=== debian/changelog ===
dirty-equals (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Wed, 15 Jan 2025 10:18:54 -0600

=== debian/control ===
Source: dirty-equals
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatchling,
Build-Depends-Indep:
 python3-pydantic (>=2.0~),
 python3-pytest <!nocheck>,
 python3-tz,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/samuelcolvin/dirty-equals
Vcs-Browser: https://salsa.debian.org/python-team/packages/dirty-equals
Vcs-Git: https://salsa.debian.org/python-team/packages/dirty-equals.git

Package: python3-dirty-equals
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Make equality checks in Python unit tests more declarative
 This module can be used in whatever context you like, but it comes into its
 own when writing unit tests for applications where you're commonly checking
 the response to API calls and the contents of a database.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=--ignore=tests/test_docs.py

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_installdeb:
	rm -rf $(CURDIR)/debian/python3-dirty-equals/usr/lib/python3/dist-packages/dirty_equals-0.5.0.dist-info/licenses/

override_dh_auto_test:
	TZ=utc dh_auto_test
	rm -r ./.pybuild/*/build/.pytest_cache

=== debian/tests/control ===
Tests: run-tests
Depends:
 python3-all,
 python3-pydantic (>=2.0~),
 python3-pytest,
 python3-tz,
 @,

=== debian/watch ===
version=4
https://github.com/samuelcolvin/dirty-equals/tags .*/v?(\d\S+)\.tar\.gz

## dirty-equals 0.10.0

=== Makefile ===
.DEFAULT_GOAL := all

.PHONY: .uv
.uv: ## Check that uv is installed
	@uv --version || echo 'Please install uv: https://docs.astral.sh/uv/getting-started/installation/'

.PHONY: .pre-commit
.pre-commit: ## Check that pre-commit is installed
	@pre-commit -V || echo 'Please install pre-commit: https://pre-commit.com/'

.PHONY: install
install: .uv .pre-commit ## Install the package, dependencies, and pre-commit for local development
	uv sync --frozen --all-groups
	pre-commit install --install-hooks

.PHONY: format
format: ## Format the code
	uv run ruff format
	uv run ruff check --fix --fix-only

.PHONY: lint
lint: ## Lint the code
	uv run ruff format --check
	uv run ruff check

.PHONY: test
test:
	TZ=utc uv run coverage run -m pytest
	uv run tests/mypy_checks.py

.PHONY: testcov
testcov: test
	@uv run coverage report --show-missing
	@uv run coverage html

.PHONY: mypy
mypy:
	uv run mypy dirty_equals tests/mypy_checks.py

.PHONY: docs
docs:
	uv run --group docs mkdocs build --strict

.PHONY: all
all: lint mypy testcov docs

.PHONY: clean
clean:
	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -rf .cache
	rm -rf .pytest_cache
	rm -rf .mypy_cache
	rm -rf htmlcov
	rm -rf *.egg-info
	rm -f .coverage
	rm -f .coverage.*
	rm -rf build

.PHONY: help
help: ## Show this help (usage: make help)
	@echo "Usage: make [recipe]"
	@echo "Recipes:"
	@awk '/^[a-zA-Z0-9_-]+:.*?##/ { \
	    helpMessage = match($$0, /## (.*)/); \
	    if (helpMessage) { \
	        recipe = $$1; \
	        sub(/:/, "", recipe); \
	        printf "  \033[36m%-20s\033[0m %s\n", recipe, substr($$0, RSTART + 3, RLENGTH); \
	    } \
	}' $(MAKEFILE_LIST)

=== debian/changelog ===
dirty-equals (0.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Wed, 24 Sep 2025 11:48:17 +0000

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,11 @@
  python3-pydantic (>=2.0~),
  python3-pytest <!nocheck>,
  python3-tz,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/samuelcolvin/dirty-equals
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dirty-equals
 Vcs-Git: https://salsa.debian.org/python-team/packages/dirty-equals.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-dirty-equals
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export PYBUILD_TEST_PYTEST=1
 export PYBUILD_TEST_ARGS=--ignore=tests/test_docs.py
 
 %:

=== debian/watch ===
Version: 5

Template: Github
Owner: samuelcolvin
Project: dirty-equals

## dirty-equals 0.11.0

=== debian/changelog ===
dirty-equals (0.11.0-2) unstable; urgency=medium

  * Team upload.
  * Apply Multi-Arch: hint
  * Drop unused dependency on python3-pytz.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 30 Nov 2025 14:41:01 +0100

dirty-equals (0.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Use python3-pytz instead of python3-tz.

 -- Edward Betts <edward@4angle.com>  Thu, 20 Nov 2025 07:11:55 +0800

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
 Build-Depends-Indep:
  python3-pydantic (>=2.0~),
  python3-pytest <!nocheck>,
- python3-tz,
 Standards-Version: 4.7.2
 Homepage: https://github.com/samuelcolvin/dirty-equals
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dirty-equals
@@ -22,6 +21,7 @@
 
 Package: python3-dirty-equals
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${python3:Depends},
